ProceduralFieldLookup< Data_T > Class Template Reference

`#include <FieldInterp.h>`

Inheritance diagram for ProceduralFieldLookup< Data_T >:

## Public Types

typedef ProceduralFieldLookup | class_type
typedef boost::intrusive_ptr< ProceduralFieldLookup > | Ptr
typedef Data_T | value_type
Public Types inherited from RefBase
typedef boost::intrusive_ptr< RefBase > | Ptr
typedef boost::weak_ptr< RefBase > | WeakPtr

## Public Member Functions

Data_T | sample (const ProceduralField< Data_T > &data, const V3d &vsP) const
Public Member Functions inherited from RefBase
void | ref () const
| Used by boost::intrusive_pointer.
size_t | refcnt ()
| Used by boost::intrusive_pointer.
void | unref () const
| Used by boost::intrusive_pointer.
WeakPtr | weakPtr () const
| RefBase ()
| RefBase (const RefBase &)
| Copy constructor.
RefBase & | operator= (const RefBase &)
| Assignment operator.
virtual | ~RefBase ()
| Destructor.
virtual bool | checkRTTI (const char *typenameStr)=0
| This function is only implemented by concrete classes and triggers the actual RTTI check through matchRTTI();.
bool | matchRTTI (const char *typenameStr)
| Performs a check to see if the given typename string matches this class' This needs to be implemented in -all- subclasses, even abstract ones.

## Static Public Member Functions

static const char * | staticClassName ()
static const char * | staticClassType ()
static const char * | staticClassType ()

## Public Attributes

| DEFINE_FIELD_RTTI_CONCRETE_CLASS

## Private Types

typedef RefBase | base
| Convenience typedef for referring to base class.

## Static Private Attributes

static TemplatedFieldType< ProceduralFieldLookup< Data_T > > | ms_classType

## Detailed Description

template<class Data_T>
class ProceduralFieldLookup< Data_T >

Definition at line 493 of file FieldInterp.h.

## Member Typedef Documentation

## value_type

template<class Data_T>

typedef Data_T ProceduralFieldLookup< Data_T >::value_type

Definition at line 499 of file FieldInterp.h.

## Ptr

template<class Data_T>

typedef boost::intrusive_ptr<ProceduralFieldLookup> ProceduralFieldLookup< Data_T >::Ptr

Definition at line 500 of file FieldInterp.h.

## class_type

template<class Data_T>

typedef ProceduralFieldLookup ProceduralFieldLookup< Data_T >::class_type

Definition at line 504 of file FieldInterp.h.

## base

template<class Data_T>

typedef RefBase ProceduralFieldLookup< Data_T >::base

private

Convenience typedef for referring to base class.

Definition at line 530 of file FieldInterp.h.

## Member Function Documentation

## staticClassName()

template<class Data_T>

const char * ProceduralFieldLookup< Data_T >::staticClassName | ( |  | ) |

inline static

Definition at line 507 of file FieldInterp.h.

{
return "ProceduralFieldLookup";
}

## staticClassType()

template<class Data_T>

const char * ProceduralFieldLookup< Data_T >::staticClassType | ( |  | ) |

inline static

Definition at line 512 of file FieldInterp.h.

{
return ProceduralFieldLookup<Data_T>::ms_classType.name();
}
ProceduralFieldLookup
Definition FieldInterp.h:494

References ms_classType.

## sample()

template<class Data_T>

Data_T ProceduralFieldLookup< Data_T >::sample | ( | const ProceduralField< Data_T > & | data,
|  | const V3d & | vsP ) const

Definition at line 1547 of file FieldInterp.h.

{
V3d voxelScale = V3d(1.0) / data.dataResolution();
V3d lsP = vsP * voxelScale;
return data.lsSample(lsP);
}
V3d
Imath::V3d V3d
Definition SpiMathLib.h:74

References FieldRes::dataResolution(), and ProceduralField< Data_T >::lsSample().

## Member Data Documentation

## DEFINE_FIELD_RTTI_CONCRETE_CLASS

template<class Data_T>

ProceduralFieldLookup< Data_T >::DEFINE_FIELD_RTTI_CONCRETE_CLASS

Definition at line 505 of file FieldInterp.h.

## ms_classType

template<class Data_T>

TemplatedFieldType<ProceduralFieldLookup<Data_T> > ProceduralFieldLookup< Data_T >::ms_classType

static private

Definition at line 525 of file FieldInterp.h.

Referenced by staticClassType().

The documentation for this class was generated from the following file:

- export/FieldInterp.h